- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PG::Properties_Encoder Class Reference

`#include <PG_Properties_Encoder.h>`

Collaboration diagram for TAO_PG::Properties_Encoder:

[legend]
List of all members.

## Public Member Functions
| Properties_Encoder ()
| ~Properties_Encoder ()
| standard destructor
void | add (const char *name, const PortableGroup::Value &value)
void | encode (PortableGroup::Properties *property_set) const
## Private Types
typedef ACE_Vector< NamedValue, 10 > | NamedValueVec
## Private Member Functions
| Properties_Encoder (const Properties_Encoder &rhs)
Properties_Encoder & | operator= (const Properties_Encoder &rhs)
## Private Attributes
NamedValueVec | values_
## Classes
struct | NamedValue

## Detailed Description

A helper to assemble a set of properties into a PortableGroup::Properties structure.

To use a Properties_Encoder: Create it. Add properties to it using the add method. Allocate a new PortableGroup::Properties. Use the encode method to transfer the properties into the PortableGroup::Properties.

## Member Typedef Documentation

typedef ACE_Vector< NamedValue, 10 > TAO_PG::Properties_Encoder::NamedValueVec`[private]`

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_PG::Properties_Encoder::Properties_Encoder | ( |  | ) |

Construct an empty set of properties.

TAO_PG::Properties_Encoder::~Properties_Encoder | ( |  | ) |

standard destructor

TAO_PG::Properties_Encoder::Properties_Encoder | ( | const Properties_Encoder & | rhs | ) | `[private]`

## Member Function Documentation

void TAO_PG::Properties_Encoder::add | ( | const char * | name,
|  | const PortableGroup::Value & | value |
| ) |  |  |

add a name/value property to the Properties_Encoder.

void TAO_PG::Properties_Encoder::encode | ( | PortableGroup::Properties * | property_set | ) | const

Encode all properties in this Properties_Encoder into a PortableGroup::Properties.

Properties_Encoder& TAO_PG::Properties_Encoder::operator= | ( | const Properties_Encoder & | rhs | ) | `[private]`

## Member Data Documentation

NamedValueVec TAO_PG::Properties_Encoder::values_`[private]`

The documentation for this class was generated from the following files:

- PG_Properties_Encoder.h
- PG_Properties_Encoder.cpp